package com.bonus.core.order.client.po;


import com.bonus.core.common.enums.MetadataModelTypeEnum;

public class MetaDataValueParam extends MetaDataQueryBaseParam {
   private MetadataModelTypeEnum modelTypeEnum;
   private String modelKey;

   public static MetaDataValueParam of(Long canteenId, Long stallId, MetadataModelTypeEnum modelTypeEnum, String modelKey) {
      MetaDataValueParam param = new MetaDataValueParam();
      param.setCanteenId(canteenId);
      param.setStallId(stallId);
      param.setModelTypeEnum(modelTypeEnum);
      param.setModelKey(modelKey);
      return param;
   }

   public static MetaDataValueParam ofMerchant(MetadataModelTypeEnum modelTypeEnum, String modelKey) {
      MetaDataValueParam param = new MetaDataValueParam();
      param.setModelTypeEnum(modelTypeEnum);
      param.setModelKey(modelKey);
      return param;
   }

   public MetadataModelTypeEnum getModelTypeEnum() {
      return this.modelTypeEnum;
   }

   public String getModelKey() {
      return this.modelKey;
   }

   public void setModelTypeEnum(final MetadataModelTypeEnum modelTypeEnum) {
      this.modelTypeEnum = modelTypeEnum;
   }

   public void setModelKey(final String modelKey) {
      this.modelKey = modelKey;
   }

   public String toString() {
      String var10000 = String.valueOf(this.getModelTypeEnum());
      return "MetaDataValueParam(modelTypeEnum=" + var10000 + ", modelKey=" + this.getModelKey() + ")";
   }
}
